<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: MultipleTargetArea.xsl 92 2008-03-23 15:49:45Z erkan $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>


  <title>MoreMotion - Opensource Application Framework - Sample Project: Ajax</title>
  <meta http-equiv="content-language" content="en"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 8pt; text-align: left; color: #000000}
    .c3   {font-size: 8pt; font-weight: bold; text-align: left; vertical-align: top; color: #000000}
    .c4   {padding: 0px 2px 0px 2px}
    .c5   {padding: 0px 2px 0px 2px; letter-spacing: 0px}
    .c6   {margin: 0px}
    .c7   {margin: 8px 0px 0px 0px}
    .c8   {font-size: 8pt; text-align: left; vertical-align: top; color: #000000}
    .c9   {padding: 0px 2px 0px 2px; font-weight: bold}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/Ajax/Ajax.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Ajax.js"></script>
  <script type="text/javascript"><xsl:comment>
    function OpenClose(node,cat) {

      var targetAreaNode = OMgr.findChildNode(node.parentNode.parentNode,null,"mo:type","TargetArea");

      if (targetAreaNode) {
        var targetArea = OMgr.getObject(targetAreaNode);
        if (targetArea) {
          if (targetArea.props.isOpen) {
            targetArea.props.isOpen = null;
            targetArea.saveProps();
            targetArea.node.innerHTML = "";
          } else {
            targetArea.props.isOpen = true;
            targetArea.saveProps();
            AjaxMgr.refreshAreas({
              actionName     : 'RefreshAreas1'
              ,targetAreas   : [targetAreaNode]
              ,requestParams : {CAT: cat}
            });
          }
        }
      }

    }

  // </xsl:comment></script>

</head>

<body topmargin="0" leftmargin="0" class="c1" onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">

<table cellspacing="0" cellpadding="0" width="733" class="c2">
  <tr>
    <td colspan="3" valign="top">
      <table cellspacing="0" cellpadding="0" width="490" height="21" bgcolor="#f0eded" class="c3">
        <tr>
          <td width="407" height="21" class="c4">Refresh Multiple Target Areas</td>
          <td width="75" class="c4">
            <a onclick="OMgr.refreshHref(this)" href="display.doms.jsp?pg=/index&amp;_rand=">Home</a>
          </td>
        </tr>
      </table>


    </td>
    <td width="243"></td>
  </tr>
  <tr>
    <td width="20" height="12"/>
    <td width="402"/>
    <td width="68"/>
    <td/>
  </tr>
  <tr>
    <td height="48"/>
    <td width="709" colspan="3" valign="top" class="c5">
    <p class="c6">In this example "TargetArea" element is used inside a repeating table. The refreshing of the content of the Target Areas is done in the Javascript function OpenClose(). </p>
    </td>
  </tr>
  <tr>
    <td height="20"/>
    <td colspan="3"/>
  </tr>
  <tr>
    <td height="26"/>
    <td valign="top">
      <table cellspacing="0" cellpadding="0" width="503" height="26" class="c8">
        <xsl:for-each select="/root/categories/item">
          <tr>
            <td>
              <table cellspacing="0" cellpadding="0" width="100%" class="c2">
                <tr>
                  <td colspan="2" height="21" class="c9" onclick="OpenClose(this,'{ID}')">
                  <a href="javascript:;"><xsl:value-of select="NAME"/></a>
                </td>
                </tr>
                <tr>
                  <td width="5%"/>
                  <td width="95%">
                    <!-- TargetArea(s) -->
                    <div mo:name="T1" mo:type="TargetArea" id="T1_{position()}">
                    </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </xsl:for-each>
      </table>
    </td>
    <td colspan="2"/>
  </tr>
  <tr>
    <td height="24"/>
    <td colspan="3"/>
  </tr>
</table>

</body>
</html>
</xsl:template>

</xsl:stylesheet>
