<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: RefreshFields.xsl 56 2008-03-10 14:16:06Z fevzi $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>


  <title>MoreMotion - Opensource Application Framework - Sample Project: Ajax</title>
  <meta http-equiv="content-language" content="en"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 8pt; text-align: left; color: #000000}
    .c3   {font-size: 8pt; font-weight: bold; text-align: left; vertical-align: top; color: #000000}
    .c4   {padding: 0px 2px 0px 2px}
    .c5   {font-size: 8pt; text-align: left; vertical-align: top; color: #000000}
    .c6   {padding: 0px 2px 0px 2px; font-weight: bold}
    .c7   {margin: 0px}
    .c8   {width: 57px; font-family: verdana; font-size: 8pt; text-align: center; background-color: #ccccff; color: #000000}
    .c9   {width: 353px; font-family: verdana; font-size: 8pt; text-align: left; color: #000000}
    .c10  {width: 70px; font-family: verdana; font-size: 8pt; text-align: center; color: #000000}
    .c11  {width: 100px; font-family: verdana; font-size: 8pt; text-align: right; color: #000000}
 .hdr {background-color:#f0eded; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:11px}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/Ajax/Ajax.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Ajax.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/DateNum/Number.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/DateNum.js"></script>
  <script type="text/javascript"><xsl:comment>
    function refresh(elm) {

     var r = PMgr.getEnclosingRecord(elm);
     var targetElements = new Array(
       r.getField("NAME").node,
       r.getField("STOCK").node,
       r.getField("PRICE").node);

     AjaxMgr.refreshFields({
       actionName          : 'RefreshFields1'
       ,dataNodes          : 'NAME,STOCK,PRICE'
       ,targetElements     : targetElements
       ,requestParams      : {ID:elm.value}
       });

    }

  // </xsl:comment></script>

</head>
<body topmargin="0" leftmargin="0" class="c1"
      onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">

<table cellspacing="0" cellpadding="0" width="580" class="c2">
  <tr>
    <td width="580" valign="top">
      <table cellspacing="0" cellpadding="0" width="580" height="21" bgcolor="#f0eded" class="c3">
        <tr>
          <td width="497" height="21" class="c4">Refresh Field Values</td>
          <td width="75" class="c4"><a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/index&amp;_rand=">Home</a></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td width="576" height="60" class="c4">Type a number between 1 and 33 into the colored INPUT field on the left press TAB key. The "onchange" event of it trigers the AjaxMgr.refreshField() call.</td>
  </tr>
  <tr>
    <td valign="top">

      <form name="PF" method="post" action="ProcessManager.doms"
            mo:type="ProcessForm" mo:name="PF" class="c7">

        <table cellspacing="0" cellpadding="0" width="100%"
               mo:type="ProcessBlock" mo:name="PB" mo:props="warnColor:'#F5CAC0'">

          <tr class="hdr">
            <td width="57" height="21" align="center"><strong>ID</strong></td>
            <td width="353" align="left"><strong>NAME</strong></td>
            <td width="70" align="center"><strong>STOCK</strong></td>
            <td width="100" align="right"><strong>PRICE</strong></td>
          </tr>

          <xsl:for-each select="/root/empty_nodes/item">

            <tr mo:type="ProcessRecord">

                <td width="57" height="21" valign="top">
                  <input type="hidden" name="px_recstat"/>
                  <input name="pf_ID" type="text" onchange="refresh(this);"
                         mo:type="EditBox" mo:field="true" mo:name="ID" class="c8"/>
                </td>

                <td width="353" valign="top">
                  <input name="pf_NAME" type="text" onchange="PMgr.fieldChanged(this);"
                         mo:type="EditBox" mo:field="true" mo:name="NAME" class="c9"/>
                </td>

                <td width="70" valign="top">
                  <input name="pf_STOCK" type="text" onchange="PMgr.fieldChanged(this);"
                         mo:type="EditBox" mo:field="true" mo:name="STOCK" class="c10"/>
                </td>

                <td width="100" valign="top">
                  <div mo:type="NumberBox" mo:field="true" mo:name="PRICE" mo:needsInit="true" mo:props="precisionDigits:2">
                    <input type="hidden" name="pf_PRICE"/>
                    <input name="__t" type="text" onblur="if (NumMgr.formatInput(this,true) == false) return false;"
                           onkeyup="if (NumMgr.formatInput(this) == false) return false;" class="c11"/>
                  </div>
               </td>

            </tr>
          </xsl:for-each>

        </table>

      </form>

    </td>
  </tr>
</table>


</body>
</html>
</xsl:template>

</xsl:stylesheet>
