<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: SuggestBox.xsl 56 2008-03-10 14:16:06Z fevzi $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>


  <title>MoreMotion - Opensource Application Framework - Sample Project: Ajax</title>
  <meta http-equiv="content-language" content="en"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 8pt; text-align: left; color: #000000}
    .c3   {font-size: 8pt; font-weight: bold; text-align: left; vertical-align: top; color: #000000}
    .c4   {padding: 0px 2px 0px 2px}
    .c5   {font-size: 8pt; text-align: left; vertical-align: top; color: #000000}
    .c6   {margin: 0px}
    .c7   {width: 347px; font-family: verdana; font-size: 8pt; text-align: left; color: #000000}
    .c8   {width: 46px; font-family: verdana; font-size: 8pt; text-align: center; color: #000000}
    .c9   {width: 100px; font-family: verdana; font-size: 8pt; color: #000000;
        position:relative; left: 158px; top: 0px;}
    .c10  {border-style: solid; border-width: 0px 0px 1px 0px; border-color: #666666; font-size: 8pt; font-weight: bold;
        text-align: left; vertical-align: top; color: #000000}
    .c10r {font-weight: normal;}
    .c11  {width: 30px; font-family: verdana; font-size: 8pt; color: #000000}
    .c12  {padding: 0px 2px 0px 2px; font-weight: bold}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/Ajax/Ajax.js"></script>
  <script type="text/javascript" src="moremotion/face/Ajax/SuggestBox.js"></script>
  <script type="text/javascript" src="moremotion/face/DateNum/Number.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Ajax.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/DateNum.js"></script>
  <script type="text/javascript"><xsl:comment>

    function SetSymbol(sbox) {
      var cat = sbox.getFieldValue("PCAT_ID") * 1;
      if (cat &gt; 9) cat = 1;
      sbox.setSymbolValue("XXX",cat);
    }

    function SetGrandTotal(mpar) {

      var resp = mpar.getResponse();
      var gtot = 0;
      for (var i = 0; i &lt; resp.recordCount; i++) {
        var rr = resp.getResponseRecord(i);
        var ltot = rr.get("LINETOT");
        gtot += ltot * 1;
      }

      var gtotField = OMgr.getObject( document.getElementById("GRAND_TOTAL") );
      gtotField.setValue(gtot+"");

    }

    function addToCart() {
        AjaxMgr.submitProcessForm({
          formName     : 'NewProductPF',
          commandName  : 'AddToCart' ,
          callbackFunc : SetGrandTotal,
         submitMethod : "POST"
        });
    }

    function removeFromCart(node) {
        AjaxMgr.submitProcessForm({
          formName       : 'CartPF',
          commandName    : 'RemoveFromCart',
         requiredBlocks : 'CartPB',
          callbackFunc   : SetGrandTotal,
         requestParams  : {ID:PMgr.getEnclosingRecord(node).getField("ID").getValue()},
         submitMethod   : "POST"
        });
    }


    function getSBoxProps() {

      return {
        actionName     : 'RefreshProductSBox',
        valueFieldName : 'ID',
        autoComplete   : true,
        delay          : 500,
        align          : 'left',
        elmWidth       : 347,
        width          : 500,
        height         : 21,
        suggestField   : 'NAME',
        valueField     : 'ID',
        boxStyle       : 'background-color:#FFFFFF; border-width:1px; border-style:solid;' +
                         'border-color:#CBCBCB; padding:2px; font-family: Verdana, Arial, Helvetica;' +
                         'font-size:8pt; color:Black;',
        rowStyle       : 'color:Black; background-color:#E0E0E0',
        rowHilightStyle: 'text-decoration:underline/none; background-color:white/#E0E0E0',
        colFields      : ',NAME,PRICE',
        colWidths      : '4,76,20',
        colAligns      : 'left,left,right',
        colStyles      : 'background-image:url(\'images/$(XXX).gif\')|color:Green|color:Red',
        required       : '3. Value and the Associated Value',
        onBeforeRowPaintHandler: SetSymbol
      };

    }


  // </xsl:comment></script>

</head>
<body topmargin="0" leftmargin="0" class="c1"
      onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">

<table cellspacing="0" cellpadding="0" width="690" class="c2">
  <tr>
    <td colspan="4" valign="top">
      <table cellspacing="0" cellpadding="0" width="690" height="21" bgcolor="#f0eded" class="c3">
        <tr>
          <td width="607" height="21" class="c4">RefreshBlocks with a SuggestBox</td>
          <td width="75" class="c4">
            <a onclick="OMgr.refreshHref(this)" href="display.doms.jsp?pg=/index&amp;_rand=">Home</a>
          </td>
        </tr>
      </table>
    </td>
  </tr>

  <tr>
    <td width="17" height="220"></td>
    <td width="576" valign="middle">
      <ul>
        <li>As you type in the SuggestBox below it will suggest the values. Type &quot;H&quot; or &quot;C&quot; letter and wait.</li>
        <li>When you select an option from the dropdown box and clik on the &quot;Add to Cart&quot; button the ProcessForm will be submitted with AjaxMgr.submitProcessForm() call.</li>
        <li>See the ajaxProcessCommand &quot;NewProductPF.AddToCart&quot; in the page configuration that calls process template "AddToCart" </li>
        <li>&quot;AddToCart&quot; process template calls &quot;AddToCartProcess&quot; and &quot;RefreshCartProcess&quot;</li>
        <li>See that a callbackFunction &quot;SetGrandTotal&quot; is defined inside the &quot;addToCart()&quot; function.</li>
        <li>When the response is received and process block is refreshed, &quot;SetGrandTotal&quot; cuntion is called to let it calculate the grand total and set to &quot;NumberTex&quot; field &quot;GRAND_TOTAL&quot;</li>
        <li>Please note that this is just an example and there are many other ways for doing the same thing.</li>
      </ul>
      </td>
    <td width="30"/>
    <td width="67"/>
  </tr>
  <tr>
    <td height="117"/>
    <td valign="top">

      <form method="post" action="ProcessManager.doms.jsp" class="c6"
            mo:type="ProcessForm" mo:name="NewProductPF" >

        <table cellpadding="0" cellspacing="0" width="576" height="117" class="c5"
               mo:type="ProcessBlock" mo:name="PB" mo:props="warnColor:'#F5CAC0'">

        <tr mo:type="ProcessRecord">
          <td>
            <input type="hidden" name="px_recstat"/>
            <table cellpadding="0" cellspacing="0" width="100%" class="c5">
              <tr>
                <td width="123" height="21" class="c4">Product:</td>
                <td width="300" valign="top">

                  <!-- SuggestBox "PRODUCT" -->
                  <div>
                    <input type="hidden" name="pf_ID"/>
                    <input name="pf_PRODUCT" type="text" AUTOCOMPLETE="OFF" class="c7"
                           onfocus="SBoxMgr.onFocus(this);" onblur="SBoxMgr.onBlur(this);"
                           onkeydown="if (SBoxMgr.onKeyDown(event,this) == false) return false;"
                           onkeyup="if (SBoxMgr.onKeyUp(event,this,{{SSTR: this.value}}) == false) return false;"
                           mo:type="SuggestBox" mo:field="true" mo:name="PRODUCT"
                           mo:props="*getSBoxProps()" />
                  </div>

              </td>
              </tr>
              <tr>
                <td height="21" class="c4">Quantity:</td>
                <td valign="top">
                  <!-- ProcessField "QUANTITY" -->
                  <input name="pf_QUANTITY" type="text" onchange="PMgr.fieldChanged(this);" value="1" class="c8"
                         mo:type="EditBox" mo:field="true" mo:name="QUANTITY" mo:iValue="1"
                         mo:props="nonBlank:true, isNumber:true, validValues:'1:99'" />
                </td>
              </tr>
              <tr>
                <td height="18" rowspan="2"/>
              </tr>
          </table>

          <!-- ProcessCommand "AddToCart" -->
          <input name="__pcommand" value="Add to Cart" type="button" class="c9" onclick="addToCart()"
               mo:name="AddToCart" mo:props="validateInput:true, requiredBlocks:'PB'" />

          </td>
        </tr>

      </table>
      </form>

      <!-- ProcessForm "CartPF" -->
      <form name="CartPF" method="post" action="ProcessManager.doms.jsp" class="c6"
            mo:type="ProcessForm" mo:name="CartPF" >

      <table cellspacing="0" cellpadding="0" width="606" height="76" class="c5">
        <tr>
          <td colspan="3" valign="top">

            <!-- ProcessBlock "CartPB" -->
            <table cellspacing="0" cellpadding="0" width="606" height="21" class="c10"
                   mo:type="ProcessBlock" mo:name="CartPB" mo:needsInit="true"
                   mo:props="warnColor:'#F5CAC0', recordManip:true">

              <tr bgcolor="#f1eded">
                <td width="40" height="21" align="center" class="c4">ID</td>
                <td width="310" class="c4">NAME</td>
                <td width="82" align="right" class="c4">PRICE</td>
                <td width="42" align="right" class="c4"><div align="center">QTY</div></td>
                <td width="82" align="right" class="c4">LINE TOT.</td>
                <td width="30"/>
              </tr>

              <xsl:for-each select="/root/cart/item">

                <tr mo:type="ProcessRecord" class="c10 c10r">

                  <td width="40" height="21" mo:type="TextBox" mo:field="true" mo:name="ID" align="center" class="c4">
                    <xsl:value-of select="ID"/>
                  </td>

                  <td width="310" mo:type="TextBox" mo:field="true" mo:name="NAME" class="c4">
                    <xsl:value-of select="NAME"/>
                  </td>

                  <td width="82" mo:type="NumberText" mo:needsInit="true"
                      mo:name="PRICE" mo:field="true" align="right" class="c4"
                      mo:props="value:'{PRICE}', allowSign:true, precisionDigits:2">
                    <xsl:value-of select="PRICE"/>
                  </td>

                  <td width="42" mo:type="TextBox" mo:field="true" mo:name="QUANTITY" align="center" class="c4">
                    <xsl:value-of select="QUANTITY"/>
                  </td>

                  <td width="82" mo:type="NumberText" mo:needsInit="true"
                      mo:name="LINETOT" mo:field="true" align="right" class="c4"
                      mo:props="value:'{LINETOT}', allowSign:true, precisionDigits:2">
                    <xsl:value-of select="LINETOT"/>
                  </td>

                  <td width="30" valign="top" align="center">
                    <input type="hidden" name="px_recstat"/>
                    <input name="Delete" value="-" type="button" onclick="removeFromCart(this)" class="c11"
                           style="width: 17px"/>
                  </td>

                </tr>
              </xsl:for-each>

            </table>
          </td>
        </tr>

        <tr>
          <td colspan="3" valign="top"></td>
        </tr>

        <tr>
          <td width="358" height="6"/>
          <td width="217"/>
          <td width="31"/>
        </tr>

        <tr>
          <td height="21"/>

          <!-- NumberText "GRAND_TOTAL" -->
          <td id="GRAND_TOTAL" width="213" align="right" class="c12"
              mo:type="NumberText" mo:needsInit="true"
              mo:props="value:'{sum(/root/cart/item/LINETOT)}', allowSign:true, precisionDigits:2"/>

          <td/>
        </tr>

        <tr>
          <td height="7"/>
          <td colspan="2"/>
        </tr>

      </table>

      </form>

    </td>
    <td/>
  </tr>
  <tr>
    <td height="259"/>
    <td colspan="3"/>
  </tr>

</table>


</body>
</html>
</xsl:template>

</xsl:stylesheet>
