<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: Cart.xsl 91 2008-03-23 15:48:34Z erkan $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>

  <title>MoreMotion - Opensource Application Framework - Sample Project: SuperStore</title>
  <meta http-equiv="content-language" content="en-us"/>
  <meta name="Generator" content="MoreMotion Application Studio"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c3   {padding: 0px 2px 0px 2px; font-weight: bold}
    .c4   {font-size: 10pt; text-align: left; vertical-align: top; color: #000000}
    .c5   {margin: 0px}
    .c6   {font-size: 10pt; font-weight: bold; text-align: left; vertical-align: top; color: #000000}
    .c7   {font-family: verdana; font-size: 10pt; font-weight: bold; text-align: left}
    .c8   {padding: 0px 2px 0px 2px}
    .c9   {font-family: verdana; font-size: 10pt; text-align: left}
    .c10  {width: 64px; font-family: verdana; font-size: 10pt; text-align: center; color: #000000}
    .c11  {width: 159px; font-family: verdana; font-size: 10pt; color: #000000}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Process.js"></script>

</head>
<body  topmargin="0" leftmargin="0" class="c1"
  onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">
<table cellspacing="0" cellpadding="0" width="738" class="c2">
  <tr>
    <td width="534" colspan="2" height="24" bgcolor="#e5e5e5" class="c3">Shopping Cart</td>
    <td width="96" align="center" bgcolor="#ffff99" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/Products&amp;_rand=">Products</a></td>
    <td width="96" colspan="2" align="center" bgcolor="#ccff00" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/index&amp;_rand=">index</a></td>
  </tr>
  <tr>
    <td height="250" rowspan="3"/>
 </tr>
</table>

      <div style="position:absolute; left: 21px; top: 61px;">
      <form name="CartProductsPF" method="post" action="ProcessManager.doms" mo:type="ProcessForm" mo:props="formConfigName:'CartProductsPF'" mo:name="CartProductsPF" class="c5">

      <table cellspacing="0" cellpadding="0" width="699" height="167" class="c4 c2">
        <tr>
          <td colspan="5" valign="top">
            <table cellspacing="0" cellpadding="0" width="699" height="24" bgcolor="#ccff99" class="c6">
              <tr>
                <td width="20" height="24" valign="top">
                <!-- Toggle All Selections -->
                <input type="checkbox" value="checked" onclick="PMgr.toggleAllSelections(this,'CartProductsPB');" class="c7" />

                </td>
                <td width="325" class="c8">Product Name</td>
                <td width="106" align="right" class="c8">Unit Price</td>
                <td width="96" align="center" class="c8">Quantity</td>
                <td width="106" align="right" class="c8">Line Total</td>
                <td width="30"/>
              </tr>
            </table>


          </td>
        </tr>
        <tr>
          <td colspan="5" valign="top">
            <table cellspacing="0" cellpadding="0" width="100%" mo:type="ProcessBlock" mo:name="CartProductsPB" mo:props="selectionColor:'#F6EFD2', warnColor:'#F5CAC0'">
              <xsl:for-each select="/root/cart/item">
                <xsl:call-template name="ProductInCart"/>
              </xsl:for-each>
              <tr><td style="height:0px"/></tr>
            </table>


          </td>
        </tr>
        <tr>
          <td width="20" height="15"><input name="_enc" type="hidden" value="iso-8859-1"/>

          <input name="_rand" type="hidden"/></td>
          <td width="159"/>
          <td width="330"/>
          <td width="161"/>
          <td width="29"/>
        </tr>
        <tr>
          <td height="24"/>
          <td>

          <!-- ProcessCommand "UpdateCartCmd" -->
          <input name="__pcommand" value="Update Cart" type="button"  class="c11"
                 onclick="if (PMgr.submitProcessForm('CartProductsPF','UpdateCartCmd' ,'Default' ) == false) return false;"
                 mo:name="UpdateCartCmd" mo:type="ProcessCommand"
                 mo:props="requiredBlocks:'CartProductsPB', validateInput:true" />
          </td>
          <td/>
          <td width="157" align="right" class="c3">
            <xsl:value-of select="format-number(sum(/root/cart/item/LINETOT),'#,###.00')"/>
          </td>
          <td/>
        </tr>
        <tr>
          <td height="80"/>
          <td colspan="4"/>
        </tr>
      </table>
      </form>
      </div>


</body>
</html>
</xsl:template>

<xsl:template name="ProductInCart">
<tr>
  <td>

    <!-- Process Record -->
    <table cellspacing="0" cellpadding="0" width="699" height="24" mo:type="ProcessRecord" class="c4">
      <tr>
        <td width="20" height="24" valign="top">

        <!-- Record Status -->
        <input type="hidden" name="px_recstat"/>

        <!-- Selection Box -->
        <input name="__selection" type="checkbox" title="Select for delete" value="checked" onclick="PMgr.toggleSelection(this);" class="c9"/>

        <!-- Process Field "ID" -->
        <input name="pf_ID" type="hidden" class="c2" value="{ID}"
               mo:type="HiddenBox" mo:field="true" mo:name="ID" mo:iValue="{ID}" />

        </td>
        <td width="325" class="c8"><xsl:value-of select="PRODNAME"/></td>
        <td width="106" align="right" class="c8"><xsl:value-of select="format-number(PRICE,'#,###.00')"/></td>
        <td width="18"/>
        <td width="64" valign="top">

        <!-- Process Field "QUANTITY" -->
        <input name="pf_QUANTITY" type="text" onchange="PMgr.fieldChanged(this);"
               mo:type="EditBox" mo:field="true" mo:name="QUANTITY" class="c10" value="{QUANTITY}"
               mo:props="nonBlank:true, isNumber:true, validValues:'1:99'" mo:iValue="{QUANTITY}" />

        </td>
        <td width="18"/>
        <td width="106" align="right" class="c8"><xsl:value-of select="format-number(LINETOT,'#,###.00')"/></td>
        <td width="30"/>
      </tr>
    </table>
  </td>
</tr>
</xsl:template>

</xsl:stylesheet>
