<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: Products.xsl 91 2008-03-23 15:48:34Z erkan $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>

  <title>MoreMotion - Opensource Application Framework - Sample Project: SuperStore</title>
  <meta http-equiv="content-language" content="en-us"/>
  <meta name="Generator" content="MoreMotion Application Studio"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c3   {padding: 0px 2px 0px 2px; font-weight: bold}
    .c4   {width: 259px; font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c5   {font-size: 10pt; text-align: left; vertical-align: top; color: #000000}
    .c6   {margin: 0px}
    .c7   {font-size: 10pt; font-weight: bold; text-align: left; vertical-align: top; color: #000000}
    .c8   {padding: 0px 2px 0px 2px}
    .c9   {font-family: verdana; font-size: 10pt; text-align: left}
    .c10  {width: 50px; font-family: verdana; font-size: 10pt; text-align: center; color: #000000}
    .c11  {width: 119px; font-family: verdana; font-size: 10pt; color: #000000}
  .style1 {
  width: 119px;
  font-family: verdana;
  font-size: 10pt;
  color: #000000;
  margin-top: 0px;
}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Process.js"></script>

</head>
<body topmargin="0" leftmargin="0" class="c1"
  onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">

<table cellspacing="0" cellpadding="0" width="677" class="c2" style="height: 233px">
  <tr>
    <td width="473" height="24" bgcolor="#e5e5e5" class="c3">Products</td>
    <td width="96" align="center" bgcolor="#ffff99" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/Cart&amp;_rand=">Cart</a></td>
    <td width="96" align="center" bgcolor="#ccff00" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/index&amp;_rand=">index</a></td>
  </tr>
  <tr>
    <td colspan="3" height="200"/>
  </tr>
  </table>

    <select style="position:absolute; left: 25px; top: 60px;" name="combobox1" class="c4" id="cat"
    onchange="document.location.href = 'display.doms?pg=/Products&amp;CAT=' + this.value + '&amp;_cmd=SetCategory' + '&amp;_rand=' + (new Date()).getTime()" >
      <option value="">-</option>
      <xsl:for-each select="/root/cats/item">
        <option>
          <xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
          <xsl:value-of select="NAME"/>
        </option>
      </xsl:for-each>
    </select>

    <script type="text/javascript"><xsl:comment>
      OMgr.setInitialOption('cat','<xsl:value-of select="/root/var/CAT"/>');
    // </xsl:comment></script>


      <div style="position:absolute; left: 27px; top: 99px;">
      <!-- ProcessForm "ProductsPF" -->
      <form name="ProductsPF" method="post" action="ProcessManager.doms" mo:type="ProcessForm" mo:props="formConfigName:'ProductsPF'" mo:name="ProductsPF" class="c6">

      <table cellspacing="0" cellpadding="0" width="639" height="104" class="c5">
        <tr>
          <td colspan="3" valign="top">
            <table cellspacing="0" cellpadding="0" width="639" height="24" bgcolor="#ffff99" class="c7 c2">
              <tr>
                <td width="20" height="24"/>
                <td width="405" class="c8">Product Name</td>
                <td width="106" align="right" class="c8">Price</td>
                <td width="96" align="center" class="c8">Quantity</td>
              </tr>
            </table>


          </td>
        </tr>
        <tr>
          <td colspan="3" valign="top">

            <!-- ProcessBlock "ProductsPB" -->
            <table cellspacing="0" cellpadding="0" width="100%"
                   mo:type="ProcessBlock" mo:name="ProductsPB"
                   mo:props="selectionColor:'#F6EFD2', warnColor:'#F5CAC0'" class="c2">

              <xsl:for-each select="/root/products/item">
                <xsl:call-template name="ProductRecord"/>
              </xsl:for-each>
              <tr><td style="height:0px"/></tr>
            </table>


          </td>
        </tr>
        <tr>
          <td width="20" height="70"/>
        </tr>
      </table>
          <!-- ProcessCommand "AddToCartCmd" -->
          <input name="__pcommand" value="Add to Cart" type="button" class="style1" style="position:relative; left: 22px; top: -49px;"
                 onclick="if (PMgr.submitProcessForm('ProductsPF','AddToCartCmd' ,'Default' ) == false) return false;"
                 mo:name="AddToCartCmd" mo:type="ProcessCommand"
                 mo:props="requiredBlocks:'ProductsPB', validateInput:true"  />

      </form>

      </div>


</body>
</html>
</xsl:template>


<xsl:template name="ProductRecord">
<tr mo:type="ProcessRecord">

  <td width="20" height="24" valign="top">
    <!-- Record Status -->
    <input type="hidden" name="px_recstat"/>

    <!-- Selection Box -->
    <input name="__selection" type="checkbox" value="checked" onclick="PMgr.toggleSelection(this);" class="c9" />

    <!-- Process Field "ID" -->
    <input name="pf_ID" type="hidden" mo:type="HiddenBox" mo:field="true" mo:name="ID" value="{ID}" class="c2"/>

  </td>


  <td width="405" class="c8">
    <xsl:value-of select="NAME"/>
  </td>

  <td width="106" align="right" class="c8">
    <xsl:value-of select="format-number(PRICE,'#,###.00')"/>
  </td>
  <td width="20"/>
  <td width="50" valign="top">

    <!-- ProcessField "QUANTITY" -->
    <input name="pf_QUANTITY" type="text" onchange="PMgr.fieldChanged(this);" value="1" class="c10"
          mo:type="EditBox" mo:field="true" mo:name="QUANTITY" mo:iValue="1"
          mo:props="nonBlank:true, isNumber:true, validValues:'1:99'" />

  </td>
  <td width="30"/>
</tr>
</xsl:template>

</xsl:stylesheet>
