<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: UserList.xsl 91 2008-03-23 15:48:34Z erkan $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>

  <title>MoreMotion - Opensource Application Framework - Sample Project: SuperStore</title>
  <meta http-equiv="content-language" content="en-us"/>
  <meta name="Generator" content="MoreMotion Application Studio"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c3   {padding: 0px 2px 0px 2px; font-weight: bold}
    .c4   {font-size: 10pt; text-align: left; vertical-align: top; color: #000000}
    .c5   {margin: 0px}
    .c6   {padding: 0px 2px 0px 2px}
    .c7   {width: 189px; font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c8   {width: 129px; font-family: verdana; font-size: 10pt; color: #000000}
    .c9   {width: 20px; font-family: verdana; font-size: 10pt; color: #000000}
    .c10  {font-size: 10pt; font-weight: bold; text-align: left; vertical-align: top; color: #000000}
    .c11  {font-family: verdana; font-size: 10pt; text-align: left}
    .c12  {width: 149px; font-family: verdana; font-size: 10pt; color: #000000}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Process.js"></script>
  <script type="text/javascript"><xsl:comment>
    function StartUserSearch(frm, cmd) {

      frm._rand.value = (new Date()).getTime();
      frm.cmd.value = cmd;
      frm.submit();

    }
  // </xsl:comment></script>

</head>
<body  topmargin="0" leftmargin="0" class="c1"
 onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">
<table cellspacing="0" cellpadding="0" width="879" class="c2">
  <tr>
    <td width="565" height="24" bgcolor="#e5e5e5" class="c3">User List</td>
    <td width="96" align="center" bgcolor="#ffff99" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/Roles&amp;_rand=">Roles</a></td>
    <td width="106" align="center" bgcolor="#ffff99" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/CheckPoints&amp;_rand=">Check Points</a></td>
    <td width="96" align="center" bgcolor="#ccff00" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/index&amp;_rand=">index</a></td>
  </tr>
  <tr>
    <td height="39"/>
    <td colspan="3"/>
  </tr>
  <tr>
    <td colspan="4" valign="top">
      <table cellspacing="0" cellpadding="0" width="879" height="209" class="c4">
        <tr>
          <td width="879" valign="top">
            <form method="post" action="StartUserQueryService.doms" class="c5">

            <table cellspacing="0" cellpadding="0" width="879" height="86" class="c4">
              <tr>
                <td width="10" height="24">

                <input name="nextpage" type="hidden" value="/UserList" class="c2"/>
                <input name="cmd" type="hidden" class="c2"/>
                <input name="_rand" type="hidden"/></td>

                <td width="126" class="c6">User Name:</td>
                <td width="189" valign="top">
                  <input name="sf_username" type="text" class="c7" value="{/root/mor_security_searchcriteria_main/sf_username}" />
                </td>
                <td width="61"/>
                <td width="126" class="c6">E-Mail:</td>
                <td width="189" valign="top">
                  <input name="sf_email" type="text" class="c7" value="{/root/mor_security_searchcriteria_main/sf_email}" />
                </td>
                <td width="170"/>
              </tr>
              <tr>
                <td height="24"/>
                <td width="126" class="c6">Full Name:</td>
                <td valign="top">
                  <input name="sf_fullname" type="text" class="c7" value="{/root/mor_security_searchcriteria_main/sf_fullname}"/>
                </td>
                <td/>
                <td width="126" class="c6">Disabled:</td>
                <td valign="top">
                  <select name="sf_disabled" class="c7" id="sf_disabled">
                    <option value=""></option>
                    <option value="true">True</option>
                    <option value="false">False</option>
                  </select>
                  <script type="text/javascript"><xsl:comment>
                    OMgr.setInitialOption('sf_disabled','<xsl:value-of select="/root/mor_security_searchcriteria_main/sf_disabled"/>');
                  // </xsl:comment></script>
                </td>
                <td/>
              </tr>
              <tr>
                <td colspan="7" valign="top">
                  <div style="position:relative; left: 175px; top: 3px; width: 170px;">
                    <input name="StartSearch" value="Search" type="button" onclick="StartUserSearch(this.form,'start');" class="c8"/>
                    <input name="Reset" value=" " type="button" onclick="StartUserSearch(this.form,'reset');" class="c9"/>
                  </div>
                </td>
              </tr>
            </table>
            </form>


          </td>
        </tr>
        <tr>
          <td valign="top">
            <table cellspacing="0" cellpadding="0" width="879" height="25" class="c10">
              <tr>
                <td width="20" height="24" bgcolor="#dfdcd6"/>
                <td width="185" bgcolor="#dfdcd6" class="c6">Name</td>
                <td width="321" bgcolor="#dfdcd6" class="c6">Full Name</td>
                <td width="237" bgcolor="#dfdcd6" class="c6">E-Mail</td>
                <td width="83" align="center" bgcolor="#dfdcd6" class="c6">Disabled</td>
                <td width="17" align="center" bgcolor="#dfdcd6"/>
              </tr>
              <tr>
                <td height="1"/>
                <td colspan="5"/>
              </tr>
            </table>


          </td>
        </tr>
        <tr>
          <td valign="top">
            <div>
            <form name="UserListPF" method="post" action="ProcessManager.doms" mo:type="ProcessForm" mo:props="formConfigName:'UserListPF'" mo:name="UserListPF" class="c5">

            <table cellspacing="0" cellpadding="0" width="879" height="98" class="c4">
              <tr>
                <td colspan="4" valign="top">
                  <table cellspacing="0" cellpadding="0" width="100%" mo:type="ProcessBlock" mo:name="UsersBlock" mo:props="warnColor:'#F5CAC0'">
                    <xsl:for-each select="/root/mor_security_userlist_main/item">
                      <xsl:call-template name="UserRecord"/>
                    </xsl:for-each>
                    <tr><td style="height:0px"/></tr>
                  </table>


                </td>
              </tr>
              <tr>
                <td width="16" height="18"><input name="_enc" type="hidden" value="iso-8859-1"/>

                <input name="_rand" type="hidden"/></td>
                <td width="149"/>
                <td width="129"/>
                <td width="585"/>
              </tr>
              <tr>
                <td/>
                <td>
                  <input name="__pcommand" value="Remove User" type="button" class="c12"
                         onclick="if (PMgr.submitProcessForm('UserListPF','RemoveUser' ,'Default' ) == false) return false;"
                         mo:name="RemoveUser" mo:type="ProcessCommand"
                         mo:props="requiredBlocks:'UsersBlock', validateInput:true" />
                </td>
                <td valign="top">
                  <input value="Add New User" type="button" class="c8"
                         onclick="document.location.href = OMgr.refreshLink('display.doms?pg=/NewUser&amp;_rand=')" />
                </td>
                <td/>
              </tr>
              <tr>
                <td height="32"/>
                <td colspan="3"/>
              </tr>
            </table>
            </form>

            </div>
          </td>
        </tr>
      <tr><td height="1"></td></tr></table>


    </td>
  </tr>
  <tr>
    <td height="170"/>
    <td colspan="3"/>
  </tr>
</table>


</body>
</html>
</xsl:template>


<xsl:template name="UserRecord">
<tr>
  <td>
    <table cellspacing="0" cellpadding="0" width="879" height="24" mo:type="ProcessRecord" class="c4">
      <tr>
        <td width="20" height="24" valign="top">
          <input type="hidden" name="px_recstat"/>
          <input name="__selection" type="checkbox" value="checked" onclick="PMgr.toggleSelection(this);" class="c11"/>
          <input name="pf_username" type="hidden" value="{username}" mo:iValue="{username}"
                mo:type="HiddenBox" mo:field="true" mo:name="username" class="c2"/>
        </td>
        <td width="185" class="c6">
        <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=UpdateUser&amp;username={username}&amp;_rand=">
          <xsl:value-of select="username"/>
        </a>
        </td>
        <td width="321" class="c6"><xsl:value-of select="fullname"/></td>
        <td width="237" class="c6"><xsl:value-of select="email"/></td>
        <td width="34"></td>
        <td width="20" valign="top"><input name="disabled" type="checkbox" disabled="disabled" value="checked" class="c11">
          <xsl:if test="boolean(disabled = 'true')">
            <xsl:attribute name="checked">checked</xsl:attribute>
          </xsl:if>
        </input></td>
        <td width="50"></td>
      </tr>
    </table>
  </td>
</tr>
</xsl:template>

</xsl:stylesheet>
