<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: CallProcessTemplates.xsl 92 2008-03-23 15:49:45Z erkan $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>

  <title>MoreMotion - Opensource Application Framework - Sample Project: Ajax</title>
  <meta http-equiv="content-language" content="en"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 8pt; text-align: left; color: #000000}
    .c3   {font-size: 8pt; font-weight: bold; text-align: left; vertical-align: top; color: #000000}
    .c4   {padding: 0px 2px 0px 2px}
    .c5   {padding: 0px 2px 0px 2px; letter-spacing: 0px}

    .c9   {width: 150px; font-family: verdana; font-size: 8pt; text-align: left; background-color: #ccccff; color: #000000}
    .c10  {width: 230px; font-family: verdana; font-size: 8pt; text-align: left; color: #000000}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/Ajax/Ajax.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Ajax.js"></script>

</head>

<body topmargin="0" leftmargin="0" class="c1"
      onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">

<table cellspacing="0" cellpadding="0" width="502" class="c2">
  <tr>
    <td colspan="3" valign="top">
      <table cellspacing="0" cellpadding="0" width="502" height="21" bgcolor="#f0eded" class="c3">
        <tr>
          <td width="419" height="21" class="c4">Calling a Process Template with Ajax</td>
          <td width="75" class="c4">
            <a onclick="OMgr.refreshHref(this)" href="display.doms.jsp?pg=/index&amp;_rand=">Home</a>
          </td>
        </tr>
      </table>


    </td>
  </tr>
  <tr>
    <td width="150" height="24"></td>
    <td width="236"/>
    <td width="116"/>
  </tr>
  <tr>
    <td colspan="3" height="148" valign="top" class="c5">

      <p>The SELECT element on the right displays the product categories. If the product category we want is not listed in the combo we can just insert it into the Database by typing it into the TEXT INPUT on the left.    </p>
      <p>In the &quot;onchange&quot; property of the TEXT INPUT element the Ajax Process Command &quot;AddCategory&quot; is executed with a AjaxMgr.executeAjaxCommand() call.</p>
      <p>See the page configuration file &quot;WEB-INF/MM-INF/config/CallProcessTemplates.xml&quot;</p>
      <p>The process template &quot;AddCategoryAndRefreshOptions&quot; which is called by the Ajax Process Command, adds the new category into the product_categories table and refreshes the options of the SELECT element to refrect the changes.</p></td>
  </tr>
  <tr>
    <td height="50"/>
    <td colspan="2"/>
  </tr>
  <tr>
    <td height="21" valign="top">
      <input name="NAME" type="text" class="c9"
             onchange="
             AjaxMgr.executeAjaxCommand({{
               commandName   : 'AddCategory',
               requestParams : 'NAME=' + this.value
             }})" />
      </td>
    <td valign="top">
      <select name="CATS" id="CATS" class="c10">
        <xsl:for-each select="/root/categories/item">
          <option value="{NAME}"><xsl:value-of select="NAME"/></option>
        </xsl:for-each>
      </select>
    </td>
    <td/>
  </tr>
  <tr>
    <td height="55"/>
    <td colspan="2"/>
  </tr>
</table>

</body>
</html>

</xsl:template>
</xsl:stylesheet>
