<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: RefreshArea.xsl 92 2008-03-23 15:49:45Z erkan $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>


  <title>MoreMotion - Opensource Application Framework - Sample Project: Ajax</title>
  <meta http-equiv="content-language" content="en"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 8pt; text-align: left; color: #000000}
    .c3   {font-size: 8pt; font-weight: bold; text-align: left; vertical-align: top; color: #000000}
    .c4   {padding: 0px 2px 0px 2px}
    .c5   {width: 240px; font-family: verdana; font-size: 8pt; text-align: left; color: #000000}
    .c6   {font-size: 8pt; text-align: left; vertical-align: top; color: #000000}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/Ajax/Ajax.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Ajax.js"></script>
  <script type="text/javascript"><xsl:comment>

    function RefreshArea(category) {

      var sourceArea = "Type3";

      if (category == "1") sourceArea = "Type1";
      else if (category == "3") sourceArea = "Type2";
      else if (category == "5") sourceArea = "Type2";

      AjaxMgr.refreshAreas({
        actionName     : 'RPA'
        ,targetAreas   : 'Details'
        ,requestParams : 'CAT=' + category + '&amp;area=' + sourceArea
       });

    }
  // </xsl:comment></script>

</head>
<body  topmargin="0" leftmargin="0" class="c1"
 onload="OMgr.initialize()" mo:pageInfo="name:/RefreshArea;lang:tr;charset:iso-8859-9;GS:.;DS:,">
<table cellspacing="0" cellpadding="0" width="460" class="c2">
  <tr>
    <td colspan="4" valign="top">
      <table cellspacing="0" cellpadding="0" width="460" height="21" bgcolor="#f0eded" class="c3">
        <tr>
          <td width="377" height="21" class="c4">Refresh Target Areas</td>
          <td width="75" class="c4">
            <a onclick="OMgr.refreshHref(this)" href="display.doms.jsp?pg=/index&amp;_rand=">Home</a>
          </td>
        </tr>
      </table>


    </td>
  </tr>
  <tr>
    <td width="16" height="34"></td>
    <td width="240"/>
    <td width="131"/>
    <td width="73"/>
  </tr>
  <tr>
    <td height="21"/>
    <td valign="top"><select name="combobox21" onchange="RefreshArea(this.value);" id="CatCombo" class="c5">
      <xsl:for-each select="/root/categories/item">
        <option>
          <xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
          <xsl:value-of select="NAME"/>
        </option>
      </xsl:for-each>
    </select></td>
    <td/>
    <td/>
  </tr>
  <tr>
    <td height="9"/>
    <td colspan="3"/>
  </tr>
  <tr>
    <td height="60"/>
    <td colspan="3" valign="top">

      <!-- TargetArea "Details" -->
      <div id="Details" mo:name="Details" mo:type="TargetArea">
      </div>

  </td>
</tr>
<tr>
  <td height="59"/>
  <td colspan="3"/>
</tr>
</table>

</body>
</html>
</xsl:template>
</xsl:stylesheet>
