<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: UpdateUser.xsl 91 2008-03-23 15:48:34Z erkan $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>

  <title>MoreMotion - Opensource Application Framework - Sample Project: SuperStore</title>
  <meta http-equiv="content-language" content="en-us"/>
  <meta name="Generator" content="MoreMotion Application Studio"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c3   {padding: 0px 2px 0px 2px; font-weight: bold}
    .c4   {font-size: 10pt; text-align: left; vertical-align: top; color: #000000}
    .c5   {margin: 0px}
    .c6   {padding: 0px 2px 0px 2px; font-family: verdana,arial,helvetica; font-style: italic; color: red}
    .c7   {padding: 0px 2px 0px 2px}
    .c8   {width: 229px; font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c9   {font-family: verdana; font-size: 10pt; text-align: left}
    .c10  {width: 131px; font-family: verdana; font-size: 10pt; color: #000000}
    .c11  {width: 289px; font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c12  {font-family: verdana; font-size: 10pt; text-align: left; background-color: #f7f7f7; color: #000000}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Process.js"></script>

</head>
<body  topmargin="0" leftmargin="0" class="c1"
 onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">
<table cellspacing="0" cellpadding="0" width="408" class="c2">
  <tr>
    <td width="204" colspan="2" height="24" bgcolor="#e5e5e5" class="c3">New User</td>
    <td width="96" align="center" bgcolor="#ffff99" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/UserList&amp;_rand=">User List</a></td>
    <td width="96" colspan="2" align="center" bgcolor="#ccff00" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/index&amp;_rand=">index</a></td>
  </tr>
  <tr>
    <td width="20" height="39"/>
    <td width="188"/>
    <td/>
    <td width="81"/>
    <td width="19"/>
  </tr>
  <tr>
    <td height="359"/>
    <td colspan="3" valign="top">
      <div>
      <!-- ProcessForm "UserPropertiesPF" -->
      <form method="post" action="ProcessManager.doms"
            mo:type="ProcessForm" mo:name="UserPropertiesPF" class="c5">

      <table cellspacing="0" cellpadding="0" width="369" height="359" bgcolor="#f7f7f7" class="c4">
        <tr>
          <td width="365" colspan="3" height="24" bgcolor="#dfdcd6" class="c3">User Properties - <xsl:value-of select="/root/mor_security_details_main/username"/>
          <input name="username" type="hidden" class="c12" value="{/root/mor_security_details_main/username}"/>
        </td>
        </tr>
        <tr>
          <td width="365" colspan="3" height="24" align="center" class="c6">
            <xsl:value-of select="/root/mor_security_messages/message[secdom = 'main']/text"/>
          </td>
        </tr>
        <tr>
          <td colspan="3" valign="top">
            <!-- ProcessBlock "UpdateUserInfoBlock" -->
            <table cellspacing="0" cellpadding="0" width="100%"
                   mo:type="ProcessBlock" mo:name="UpdateUserInfoBlock" mo:props="warnColor:'#F5CAC0'">

            <tr><td>
              <!-- ProcessRecord -->
              <table cellspacing="0" cellpadding="0" width="369" height="104" mo:type="ProcessRecord" class="c4">
                <tr>
                  <td width="140" height="8"><input type="hidden" name="px_recstat"/></td>
                  <td width="20"/>
                  <td width="209"/>
                </tr>
                <tr>
                  <td width="136" height="24" class="c7">User Name:</td>
                  <td width="225" colspan="2" class="c3"><xsl:value-of select="/root/mor_security_details_main/username"/></td>
                </tr>
                <tr>
                  <td width="136" height="24" class="c7">Full Name:</td>
                  <xsl:variable name="fullname_value">
                    <xsl:choose>
                      <xsl:when test="/root/request/pf_fullname != ''">
                        <xsl:value-of select="/root/request/pf_fullname"/>
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:value-of select="/root/mor_security_details_main/fullname"/>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:variable>
                  <td colspan="2" valign="top">
                    <!-- ProcessField "fullname" -->
                    <input name="pf_fullname" type="text" onchange="PMgr.fieldChanged(this);"
                           value="{$fullname_value}" mo:iValue="{$fullname_value}"
                           mo:type="EditBox" mo:field="true" mo:name="fullname" class="c8" />
                  </td>
                </tr>
                <tr>
                  <td width="136" height="24" class="c7">E-Mail:</td>
                  <xsl:variable name="email_value">
                    <xsl:choose>
                      <xsl:when test="/root/request/pf_email != ''">
                        <xsl:value-of select="/root/request/pf_email"/>
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:value-of select="/root/mor_security_details_main/email"/>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:variable>

                  <td colspan="2" valign="top">
                    <!-- ProcessField "email" -->
                    <input name="pf_email" type="text" onchange="PMgr.fieldChanged(this);"
                           value="{$email_value}" mo:iValue="{$email_value}"
                           mo:type="EditBox" mo:field="true" mo:name="email" class="c8" />
                  </td>
                </tr>
                <tr>
                  <td width="136" height="24" class="c7">Disabled:</td>
                  <xsl:variable name="disabled_value">
                    <xsl:value-of select="/root/mor_security_details_main/disabled"/>
                  </xsl:variable>
                  <td valign="top">
                    <input name="pf_disabled" type="checkbox" value="0" onclick="PMgr.fieldChanged(this);"
                           mo:type="CheckBox" mo:field="true" mo:name="disabled" class="c9">
                      <xsl:if test="boolean($disabled_value = 'true')">
                        <xsl:attribute name="checked">checked</xsl:attribute>
                        <xsl:attribute name="mo:iValue">true</xsl:attribute>
                      </xsl:if>
                    </input>
                  </td>
                  <td/>
                </tr>
              </table>
            </td></tr></table>


          </td>
        </tr>
        <tr>
          <td colspan="3" valign="top">
            <table cellspacing="0" cellpadding="0" width="369" height="31" class="c4">
              <tr>
                <td width="139" height="3"></td>
                <td width="131"/>
                <td width="99"/>
              </tr>
              <tr>
                <td height="24"/>
                <td>
                <!-- ProcessCommand "UpdateInfo" -->
                <input name="__pcommand" value="Update" type="button"
                       onclick="if (PMgr.submitProcessForm('UserPropertiesPF','UpdateInfo' ,'Default' ) == false) return false;"
                       mo:name="UpdateInfo" mo:type="ProcessCommand"
                       mo:props="requiredBlocks:'UpdateUserInfoBlock', validateInput:true" class="c10"/>
                </td>
                <td/>
              </tr>
              <tr>
                <td height="4"/>
                <td colspan="2"/>
              </tr>
            </table>


          </td>
        </tr>
        <tr>
          <td width="365" colspan="3" height="24" bgcolor="#efede7" class="c3">Roles:</td>
        </tr>
        <tr>
          <td colspan="3" valign="top">
            <table cellspacing="0" cellpadding="0" width="100%" mo:type="ProcessBlock" mo:name="UserRolesBlock" mo:props="warnColor:'#F5CAC0'">
              <xsl:for-each select="/root/mor_security_details_main/roles/role">
                <xsl:call-template name="RoleRecord"/>
              </xsl:for-each>
              <tr><td style="height:0px"/></tr>
            </table>


          </td>
        </tr>
        <tr>
          <td width="20" height="7"/>
          <td width="131"/>
          <td width="218"/>
        </tr>
        <tr>
          <td height="24"/>
          <td>
          <!-- ProcessCommand "RemoveRole" -->
          <input name="__pcommand" value="Remove Role" type="button" class="c10"
                 onclick="if (PMgr.submitProcessForm('UserPropertiesPF','RemoveRole' ,'Default' ) == false) return false;"
                 mo:name="RemoveRole" mo:type="ProcessCommand"
                 mo:props="requiredBlocks:'UserRolesBlock', validateInput:true"/>
           </td>
          <td/>
        </tr>
        <tr>
          <td height="21"/>
          <td colspan="2"/>
        </tr>
        <tr>
          <td colspan="3" valign="top">
            <table cellspacing="0" cellpadding="0" width="100%" mo:type="ProcessBlock" mo:name="NewUserRoleBlock" mo:props="warnColor:'#F5CAC0'"><tr><td>
              <table cellspacing="0" cellpadding="0" width="369" height="24" mo:type="ProcessRecord" class="c4">
                <tr>
                  <td width="20" height="24"><input type="hidden" name="px_recstat"/></td>

                  <xsl:variable name="owned_roles">
                    <xsl:for-each select="/root/mor_security_details_main/roles/role">
                      ;<xsl:value-of select="."/>;
                    </xsl:for-each>
                  </xsl:variable>

                  <td width="289" valign="top">
                    <select name="pf_rolename" onchange="PMgr.fieldChanged(this);" class="c11"
                            mo:iValue="{rolename}"
                            mo:type="ComboBox" mo:field="true" mo:name="rolename" mo:props="nonBlank:true" mo:needsInit="true">
                      <option value="">Select a Role</option>
                      <xsl:for-each select="/root/mor_security_rolelist_main/item[not(contains($owned_roles,name))]">
                      <xsl:sort  select="name"/>
                        <option>
                          <xsl:attribute name="value"><xsl:value-of select="name"/></xsl:attribute>
                          <xsl:value-of select="name"/>
                        </option>
                      </xsl:for-each>
                    </select>
                  </td>
                  <td width="60"/>
                </tr>
              </table>
            </td></tr></table>


          </td>
        </tr>
        <tr>
          <td height="9"/>
          <td colspan="2"/>
        </tr>
        <tr>
          <td height="24"/>
          <td>
            <!-- ProcessComman "AddRole" -->
            <input name="__pcommand" value="Add Role" type="button"  class="c10"
                   onclick="if (PMgr.submitProcessForm('UserPropertiesPF','AddRole' ,'Default' ) == false) return false;"
                   mo:name="AddRole" mo:type="ProcessCommand" mo:props="requiredBlocks:'NewUserRoleBlock', validateInput:true"/>
            </td>
          <td/>
        </tr>
        <tr>
          <td height="19"/>
          <td colspan="2"/>
        </tr>
      </table>
      </form>

      </div>
    </td>
    <td/>
  </tr>
  <tr>
    <td height="62"/>
    <td colspan="4"/>
  </tr>
</table>




</body>
</html>
</xsl:template>


<xsl:template name="RoleRecord">
<tr>
  <td>
    <table cellspacing="0" cellpadding="0" width="369" height="24" mo:type="ProcessRecord" class="c4">
      <tr>
        <td width="20" height="24" valign="top">
          <input type="hidden" name="px_recstat"/>
          <input name="__selection" type="checkbox" value="checked" onclick="PMgr.toggleSelection(this);" class="c9"/>
          <input name="pf_rolename" type="hidden" class="c2" value="{.}" mo:iValue="{.}"
                 mo:type="HiddenBox" mo:field="true" mo:name="rolename" />
        </td>
        <td width="345" class="c7"><xsl:value-of select="."/></td>
      </tr>
    </table>
  </td>
</tr>
</xsl:template>

</xsl:stylesheet>
