<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: index.xsl 91 2008-03-23 15:48:34Z erkan $ -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
  <xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0"/>
  <xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
  <xsl:template match="/">
    <html>
      <head>
        <title>MoreMotion - Opensource Application Framework - Sample Project: SuperStore</title>
        <meta http-equiv="content-language" content="en-us"/>
        <meta name="Generator" content="MoreMotion Application Studio"/>
        <style type="text/css">.c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c3   {padding: 0px 2px 0px 2px; font-weight: bold}
    .c4   {font-size: 10pt; text-align: left; vertical-align: top; color: #000000}
    .c5   {margin: 0px}
    .c6   {padding: 0px 2px 0px 2px}
    .c7   {width: 160px; font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c8   {width: 100px; font-family: verdana; font-size: 10pt; color: #000000}
    .c9   {width: 240px; font-family: verdana; font-size: 10pt; color: #000000}
.style1 {
  font-family: verdana; font-size: 10pt; 
}
</style>
        <script type="text/javascript" src="moremotion/face/Common.js"></script>
        <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
        <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
        <script type="text/javascript" src="moremotion/face/_resources/en/Process.js"></script>
      </head>
      <body topmargin="0" leftmargin="0" class="c1" onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">
        <table cellspacing="0" cellpadding="0" width="575" class="c2">
          <tr>
            <td width="241" height="24" bgcolor="#e5e5e5" class="c3">Super Store Home Page</td>
            <td width="96" align="center" bgcolor="#ffff99" class="c3">
              <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/Products&amp;_rand=">Products</a>
            </td>
            <td width="96" align="center" bgcolor="#ffff99" class="c3">
              <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/Customers&amp;_rand=">Customers</a>
            </td>
            <td width="126" align="center" bgcolor="#ffff99" class="c3">
              <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/UserList&amp;_rand=">Administration</a>
            </td>
          </tr>
          <tr>
            <td width="100%" height="300" colspan="4"/>
          </tr>
        </table>
        <xsl:if test="not(/root/mor_security_userinfo_main/loggedin)">
          <div style="position:absolute; left: 130px; top: 60px;">
            <!-- ProcessForm "LoginPF" -->
            <form name="LoginPF" method="post" action="ProcessManager.doms" mo:type="ProcessForm" mo:props="formConfigName:'LoginPF'" mo:name="LoginPF" class="c5">
              <table cellspacing="0" cellpadding="0" width="290" height="83" class="c4">
                <tr>
                  <td colspan="3" valign="top">
                    <!-- ProcessBlock "LoginPB" -->
                    <table cellspacing="0" cellpadding="0" width="100%" mo:type="ProcessBlock" mo:name="LoginPB" mo:props="warnColor:'#F5CAC0'">
                      <tr>
                        <td>
                          <!-- ProcessRecord -->
                          <table cellspacing="0" cellpadding="0" width="290" height="48" mo:type="ProcessRecord" class="c4 c2">
                            <tr>
                              <td colspan="2" style="color:red"><xsl:value-of select="/root/mor_security_messages/message[secdom = 'main']/text"/></td>
                            </tr>
                            <tr>
                              <td width="126" height="24" class="c6">
                                <!-- Record Status Field -->User Name:</td>
                              <td width="160" valign="top">
                                <!-- Process Field "username" -->
                                <input type="hidden" name="px_recstat"/>
                                <input name="pf_username" type="text" onchange="PMgr.fieldChanged(this);" value="{/root/mor_security_userinfo/username}" mo:iValue="{/root/mor_security_userinfo/username}" mo:type="EditBox" mo:field="true" mo:name="username" mo:props="nonBlank:true" class="c7"/>
                              </td>
                            </tr>
                            <tr>
                              <td width="126" height="24" class="c6">Password:</td>
                              <td valign="top">
                                <!-- Process Field "password" -->
                                <input name="pf_password" type="text" onchange="PMgr.fieldChanged(this);" mo:type="EditBox" mo:field="true" mo:name="password" mo:props="nonBlank:true" class="c7"/>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td width="130" height="7"/>
                  <td width="160"/>
                </tr>
                <tr>
                  <td height="24"/>
                  <td>
                    <!-- ProcessCommand "Login" -->
                    <input name="__pcommand" value="Login" type="submit" onclick="if (PMgr.submitProcessForm('LoginPF','LoginCmd' ,'Default' ) == false) return false;" mo:name="LoginCmd" mo:type="ProcessCommand" mo:props="requiredBlocks:'LoginPB', validateInput:true" class="c8"/>
                  </td>
                </tr>
              </table>
            </form>
          </div>
        </xsl:if>
        <div style="position:absolute; left: 130px; top: 165px;">
          <!-- ProcessForm "LogoutPF" -->
          <form method="post" action="ProcessManager.doms" mo:type="ProcessForm" mo:name="LogoutPF" class="c5">
            <table cellspacing="0" cellpadding="0" height="24" class="c4">
              <tr>
                <td width="130" height="24"/>
                <td width="160">
                  <xsl:if test="boolean(/root/mor_security_userinfo_main/loggedin)">
                    <!-- ProcessCommand "LogoutCmd" -->
                    <input name="__pcommand" value="Logout" type="button" onclick="if (PMgr.submitProcessForm('LogoutPF','LogoutCmd' ,'Default' ) == false) return false;" mo:name="LogoutCmd" mo:type="ProcessCommand" class="c8"/>
                  </xsl:if>
                </td>
              </tr>
            </table>
          </form>
        </div>
        <xsl:if test="not(/root/security_definitions/item)">
          <div style="position:absolute; left: 130px; top: 219px;">
            <!-- ProcessForm "CreateSDefsPF" -->
            <form method="post" action="ProcessManager.doms" mo:type="ProcessForm" mo:name="CreateSDefsPF" class="c5">
              <!-- ProcessCommand "CreateSDefsCmd" -->
              <input name="__pcommand" value="Create Security Definitions" type="button" class="c9" onclick="if (PMgr.submitProcessForm('CreateSDefsPF','CreateSDefsCmd' ,'Default' ) == false) return false;" mo:name="CreateSDefsCmd" mo:type="ProcessCommand" mo:props="validateInput:true"/>
            </form>
          </div>
        </xsl:if>
        
        <div style="position:absolute; left: 130px; top: 223px; width: 385px;">
          <span class="style1">
          Admin User: "sa", Password: "mmsa"; <br/>
          User 1: &quot;u1&quot;, Password: &quot;1&quot;<br/>
          User 2: &quot;u2&quot;, Password: &quot;1&quot;<br/>
        </span>
        
        </div>

      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>