/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * PageXMLData.java
 *
 */

package org.moremotion.page;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: PageXMLData.java 149 2008-06-11 13:35:46Z erkan $
 */
public class PageXMLData {
  
  private StringBuffer xmlbuffer = new StringBuffer(500);
  
  /** Creates a new instance of PageXMLData */
  public PageXMLData() {
  }
  
  public void append(String xml) {
    xmlbuffer.append(xml);
  }
  
  public String getXml() {
    StringBuffer result = new StringBuffer(xmlbuffer.length() + 10);
    result.append("<root>");
    result.append(xmlbuffer);
    result.append("</root>");
    return result.toString();
  }

  protected String getXmlWithoutRootTag() {
    return xmlbuffer.toString();
  }

  
}
